Loading...
Searching...
No Matches
gtsam::SfmTrack Struct Reference
Inheritance diagram for gtsam::SfmTrack:

## Serialization

class | boost::serialization::access
| Serialization function.
template<class ARCHIVE>
void | serialize (ARCHIVE &ar, const unsigned int)

## Public Member Functions

Constructors
| SfmTrack (float r=0, float g=0, float b=0)
| SfmTrack (const gtsam::Point3 &pt, float r=0, float g=0, float b=0)
Standard Interface
const Point3 & | point3 () const
| Get 3D point.
Point3 | rgb () const
| Get RGB values describing 3d point.
Testable
void | print (const std::string &s="") const
| print
bool | equals (const SfmTrack &sfmTrack, double tol=1e-9) const
| assert equality up to a tolerance
Public Member Functions inherited from gtsam::SfmTrack2d
| SfmTrack2d (const std::vector< SfmMeasurement > &measurements)
void | addMeasurement (size_t idx, const gtsam::Point2 &m)
| Add measurement (camera_idx, Point2) to track.
size_t | numberMeasurements () const
| Total number of measurements in this track.
const SfmMeasurement & | measurement (size_t idx) const
| Get the measurement (camera index, Point2) at pose index idx.
const SiftIndex & | siftIndex (size_t idx) const
| Get the SIFT feature index corresponding to the measurement at idx.
bool | hasUniqueCameras () const
| Check that no two measurements are from the same camera.
Eigen::MatrixX2d | measurementMatrix () const
| Return the measurements as a 2D matrix.
Eigen::VectorXi | indexVector () const
| Return the camera indices of the measurements.

## Public Attributes

Point3 | p
| 3D position of the point
float | r
float | g
float | b
| RGB color of the 3D point.
Public Attributes inherited from gtsam::SfmTrack2d
std::vector< SfmMeasurement > | measurements
| The 2D image projections (id,(u,v)).
std::vector< SiftIndex > | siftIndices
| The feature descriptors (optional).

The documentation for this struct was generated from the following files:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/sfm/SfmTrack.h
- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/sfm/SfmTrack.cpp